Commit 2e7568b9 authored by domingue's avatar domingue
Browse files

Moved extra packages to dependencies and corrected CI YAML - dependencies need...

Moved extra packages to dependencies and corrected CI YAML - dependencies need to be installed for package to compile
parent 84b83481
Pipeline #1833 failed with stage
in 35 minutes and 7 seconds
......@@ -9,7 +9,7 @@ before_script:
test:
script:
- R -e 'install.packages(c("knitr", "rmarkdown", "assertthat", "covr", "roxygen2"), repos = "https://cloud.r-project.org", dependencies = TRUE)'
- R -e 'install.packages(c("knitr", "rmarkdown", "assertthat", "covr", "roxygen2", "renv", "session", "docopt"), repos = "https://cloud.r-project.org", dependencies = TRUE)'
- R -e 'devtools::install_deps(dependencies = TRUE, quiet = TRUE)'
- R -e 'devtools::build()'
- R -e 'devtools::check()'
......
......@@ -46,7 +46,10 @@ Imports:
knitr (>= 1.20),
testthat (>= 2.1.0),
DT (>= 0.5),
biomaRt (>= 2.38.0)
biomaRt (>= 2.38.0),
docopt,
session,
renv
Suggests:
rmarkdown (>= 1.10),
covr,
......
......@@ -7,9 +7,9 @@
gsubfn.engine = "R"
)
if (!require("renv", character.only = TRUE)) {
install.packages("renv")
}
# if (!require("renv", character.only = TRUE)) {
# install.packages("renv")
# }
## cli development
if (!require("docopt", character.only = TRUE)) {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment